# PSF-LoginServer - master - net.psforever.services.teamwork.SquadResponse.Membership
PSF - LoginServer - master - net.psforever.services.teamwork.SquadResponse.Membership
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadResponse.Membership

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
-  object SquadResponse
  Definition Classes
    teamwork
- AssignMember
- AssociateWithSquad
- Detail
- InitList
- InitWaypoints
- Join
- Leave
- ListSquadFavorite
- Membership
- PromoteMember
- RemoveFromList
- Response
- SetListSquad
- SquadSearchResults
- UpdateList
- UpdateMembers
- WantsSquadPosition
- WaypointEvent

c

net.psforever.services.teamwork.SquadResponse

# Membership

###

#### final case class Membership(request_type: types.SquadResponseType.Value, unk1: Int, unk2: Int, unk3: Long, unk4: Option[Long], player_name: String, unk5: Boolean, unk6: Option[Option[String]]) extends Response with Product with Serializable

Source
  SquadServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Membership
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Membership(request_type: types.SquadResponseType.Value, unk1: Int, unk2: Int, unk3: Long, unk4: Option[Long], player_name: String, unk5: Boolean, unk6: Option[Option[String]])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  val player_name: String
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  val request_type: types.SquadResponseType.Value
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val unk1: Int
18.  val unk2: Int
19.  val unk3: Long
20.  val unk4: Option[Long]
21.  val unk5: Boolean
22.  val unk6: Option[Option[String]]
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped